GET
/client-tokens/{client_token_id}
Requires client_token.read
permission.
Path parameters
client_token_idstringrequired
Paddle ID of the client-side token entity.
Response (200)
dataobjectrequired
Represents a client-side token entity.
idstringrequired
Example:
ctkn_01ghbkd0frb9k95cnhwd1bxpvkUnique Paddle ID for this client-side token entity, prefixed with
ctkn_. Not used for Paddle.js authentication; use token for authentication.Pattern:
^ctkn_[a-z\d]{26}$tokenstringrequired
A client-side token, prefixed with
test or live depending on the environment of your account. Pass as the token parameter when initializing Paddle.js to authenticate.namestringrequired
Short name of this client-side token. Typically unique and human-identifiable.
Length: 1–150
descriptionstring | nullrequired
Short description of this client-side token. Typically gives details about what the token is used for and where it's used.
Length: 1–500
statusstringrequired
Default:
activeStatus of this client-side token.
Values
activeClient-side token is active. The token can be used to authenticate Paddle.js.revokedClient-side token is revoked. The token can't be used to authenticate Paddle.js.
revoked_atstring (date-time) | nullrequired
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string.
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "data": { "id": "ctkn_01ghbkd0frb9k95cnhwd1bxpvk", "token": "live_7d279f61a3499fed520f7cd8c08", "name": "Pricing page integration", "description": "Used to display prices and open checkout within our pricing page on our marketing domain.", "status": "active", "created_at": "2025-06-26T14:36:14.695Z", "updated_at": "2025-06-26T14:36:14.695Z", "revoked_at": null }, "meta": { "request_id": "1681f87f-9c36-4557-a1da-bbb622afa0cc" }}